/* Setari principale - inceput */
:root {
    --culoare-principala: #18332f;
    --culoare-secundara: #a4c51b;
    --culoare-tertiara: #ebb4bb;
    --alb: #f9f9f9;
    --negru: #0b1109;
    --font-1: "Candara";
    --font-2: monospace;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    /* 1 rem = 10px */
    font-size: 62.5%;
}

body {
    background-color: var(--culoare-principala);
    height: 100vh;
    display: flex;
    flex-direction: column;
}

/* Setari principale - sfarsit */

/* Navbar - inceput */

header {
    display: flex;
    flex-wrap: wrap;

    justify-content: space-between;
    align-items: center;
    padding: 0 2rem;
    min-height: 7rem;
    background-color: var(--negru);
}

h1 {
    font-size: 3rem;
    color: var(--alb);
}

header a {
    font-size: 2.5rem;
    font-family: var(--font-2);
    color: var(--alb);

    margin-right: 2rem;
}

header a:link {
    text-decoration: none;
}

header a:visited {
    color: var(--culoare-secundara);
}

header a:hover {
    font-weight: bold;
    text-decoration: underline var(--culoare-secundara);
}

/* a:active {
  background-color: orangered;
} */
/* LVHA */

/* Navbar - Sfarsit */

/* Setari continut - inceput */

.container-principal {
    display: grid;
    grid-template-columns: 55% 40%;
    gap: 4rem;
    margin: 3rem;
}

h2 {
    text-align: center;
    font-family: var(--font-1);
    font-size: 3rem;
}

/* Setari continut - sfarsit */

/* Testimoniale - inceput */

.testimoniale {
    /* background-color: var(--alb); */
    padding: 0 1rem;
    align-self: center;
    color: var(--alb);
}

.testimoniale-pagina {
    margin-top: 1rem;
    width: 100%;
    background-color: var(--culoare-principala);
}

.testimoniale ul {
    display: flex;
    flex-direction: column;
    margin-top: 1rem;
}

.testimoniale-pagina ul {
    align-items: center;
}

.testimoniale li {
    list-style-type: none;
    border: 0.25rem solid var(--culoare-secundara);
    margin-bottom: 1rem;
    display: flex;
    flex-direction: row;
    padding: 0.5rem;
}

.testimoniale-pagina li {
    width: 50%;
    background-color: var(--alb);
}

.testimoniale-imagine {
    padding-right: 0.5rem;
    margin-right: 0.5rem;
    border-right: 0.25rem solid var(--culoare-secundara);
}

.testimoniale li img {
    height: 9rem;
    width: 9rem;
}

.testimoniale-pagina li img {
    height: 50rem;
    width: auto;
}

.testimoniale-opinie {
    margin-right: 1rem;
}

.testimoniale-opinie h4 {
    font-size: 2.5rem;
    font-family: var(--font-1);
}

.testimoniale-pagina h4 {
    color: var(--culoare-principala);
}

.testimoniale-opinie p {
    font-size: 1.5rem;
    font-family: var(--font-2);
    text-align: justify;
}

.testimoniale-pagina p {
    color: var(--negru);
}

.testimoniale-opinie button {
    background-color: var(--culoare-principala);
    padding: 0.15rem;
    background-color: var(--culoare-secundara);
    padding: 0.15rem;
}

.testimoniale-opinie button a {
    color: var(--negru);
    text-decoration: none;
    font-size: 1.15rem;
    text-align: center;
    font-family: var(--font-2);
}

.testimoniale-opinie button:hover {
    background-color: var(--culoare-tertiara);
    cursor: pointer;
}

.testimoniale-opinie button:hover a {
    color: var(--negru);
}

/* Testimoniale - sfarsit */

/* Detalii aventura - inceput */

.detalii-aventura {
    background-color: var(--alb);
    padding: 3rem;
}

.detalii-aventura h2 {
    margin-bottom: 3rem;
}

.detalii-aventura-container {
    height: 90%;
    display: grid;
    grid-template-columns: repeat(4, 25%);
    grid-template-rows: 5% repeat(4, 23%);
    justify-items: center;
    align-items: center;
}

.detalii-aventura-container h3 {
    font-size: 2rem;
    font-family: var(--font-1);
}

.detalii-aventura-container p:not(.detalii-aventura-data) {
    font-family: var(--font-2);
    font-size: 1.5rem;
    font-style: italic;
}

.detalii-aventura-data {
    font-size: 2rem;
    grid-column: 1 / -1;
    align-self: start;
    font-family: var(--font-2);
}

.detalii-aventura-traseu {
    grid-column: 3/-1;
    justify-self: start;
}

.detalii-aventura-participanti {
    grid-column: 3 / span 2;
    justify-self: start;
}

.detalii-aventura-durata {
    grid-column: 1;
    grid-row: 4;
    justify-self: center;
}

#img-traseu {
    grid-row: 2 / span 2;
    grid-column: 1/3;
    object-fit: cover;
    width: 100%;
    height: 100%;
    padding: 2rem;
    z-index: 1;
}

#img-participanti {
    grid-row: 3 / span 2;
    grid-column: 2/-1;
    width: 100%;
    height: 100%;
    object-fit: contain;
    margin-top: 3rem;
    z-index: 0;
}

#img-durata {
    grid-column: 1 / span 2;
    grid-row: 5/-1;
    width: 100%;
    height: 100%;
    object-fit: contain;
    margin-bottom: 7rem;
    padding-right: 2rem;
    z-index: 1;
}

/* Detalii aventura - sfarsit */

/* Coborare - inceput */

.grupuri-coborare {
    grid-column: 1 / span 2;
    justify-self: center;
    background-color: var(--alb);
    padding: 5rem;
    margin-bottom: 3rem;
}

.imagine-coborare-1:hover,
.imagine-coborare-2:hover {
    box-shadow: 0 2.4rem 4.8rem var(--culoare-principala);
}

.grupuri-coborare img {
    margin-top: 3rem;
}

.imagine-coborare-1 {
    width: 35rem;
    height: auto;
    margin-right: 5rem;
}

.imagine-coborare-2 {
    width: 20rem;
    height: auto;
}

.grupuri-coborare,
.imagine-coborare-1,
.imagine-coborare-2 {
    border-radius: 2rem;
}

.grupuri-coborare {
    box-shadow: 0 2.4rem 4.8rem rgba(0, 0, 0, 0.485);
}

/* Coborare - sfarsit */

/* Album foto - inceput*/
.container-album{
    margin: 3rem; 
}
.container-album h2{
    color: var(--culoare-secundara);
    padding: 3rem;
}

.foto-album{
    display: grid;
    height: auto;
    grid-template-columns: repeat(4,25%);
    grid-template-rows:5% repeat(8, auto);
    gap: 2rem;
    padding-bottom: 15rem;
    border-style: solid;
    border-color: var(--culoare-tertiara);
    border-width: 2rem;
    border-radius: 3rem;


}    

#poza-de-sus{
    grid-column: 1/span 2;
    grid-row: 2/span 2;
    object-fit: contain;
    padding-left:20vw;
    width: 100%;
    height: 100%;
}
#poza-gara{
    grid-column: 3/-1;
    grid-row: 2/span 2;
    object-fit: contain;
    justify-self:start ;
    width: 50%;
    height: 100%;
}
#poza-peisaj{
    grid-column: 1/span 2;
    grid-row: 5/span 2;
    object-fit: cover;
    justify-self: end;
    padding: 2vw;
    width: 50%;
    height: 100%;
    
}
#poza-sfinx{
    grid-column: 2/span 3;
    grid-row: 4/span 2;
    object-fit: cover;
    align-self: start;
    padding-left:20vw ;
    width: 70%;
    height: 100%;
    
}
#poza-padure{
    grid-column: 1/span 3;
    grid-row: 8/span 2;
    object-fit: cover;
    justify-self: center;
    width: 50%;
    height: 100%;


}
#poza-telecab{
    grid-column: 3/span 2;
    grid-row: 6/span 3;
    object-fit: contain;
    justify-self: start;
    width: 60%;
    height: 90%;
}





/* Album foto - sfarsit*/

/* Footer - inceput */
footer {
    margin-top: auto;
    background-color: var(--negru);
    display: flex;
    justify-content: space-between;
    padding: 1.5rem;
}

footer p {
    color: var(--alb);
    font-size: 2rem;
    align-self: center;
}

footer > a img,
.footer-social-media img {
    height: 5rem;
    width: auto;
}

.footer-social-media {
    align-self: center;
}

/* Footer - sfarsit */

/* Responsivness */
@media only screen and (max-width: 60rem) {
    /* grid */
    .grupuri-coborare {
        display: flex;
        flex-direction: column;
        align-items: center;
    }
    .imagine-coborare-1 {
        width: 20rem;
        margin: 0;
    }
    .container-principal {
        display: flex;
        flex-direction: column;
        flex-wrap: wrap;
    }

    /* header */
    header {
        min-height: 13rem;
    }

    /* testimoniale */
    .testimoniale-pagina li {
        flex-direction: column;
        width: 80%;
        padding: 2rem 5rem;
    }

    .testimoniale-pagina .testimoniale-imagine {
        border-right: none;
        align-self: center;
    }

    .testimoniale-pagina .testimoniale-imagine img {
        width: auto;
        height: 60rem;
    }

    .testimoniale-pagina h4 {
        text-align: center;
    }

    /* album foto*/
    .container-album{
        display: flex;
        flex-direction: column;
        align-items: center;

    }
    
        
    
}
